> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# satellites

> SatelliteProvider creates a MDO list of satellites.

## "satellites" MDO List

SatelliteProvider creates a MDO list of satellites.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.SatellitesProvider">SatellitesProvider</see> class.
The name of the MDO list is 'satellites'.

## Additional Attributes

| Description                         | Name       | Example Value |
| ----------------------------------- | ---------- | ------------- |
| add a the central satellite to list | addcentral | 1             |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/satellites
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("satellites", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "satellitesheadings"
* "satellitesheadingswithallitem"
* "satellitesheadingswithallitemwithnoselection"
* "satellitesheadingswithnoselection"
* "satelliteswithallitem"
* "satelliteswithallitemwithnoselection"
* "satelliteswithnoselection"


## Related topics

- [Satellite](/en/onsite/travel/satellite/index.md)
- [SuperOffice.License.SoLicenseNames](/en/api/reference/webapi/SuperOffice.License.SoLicenseNames.md)
- [NSSatellite](/en/automation/crmscript/reference/CRMScript.NetServer.NSSatellite.md)
- [satellite table](/en/database/tables/satellite.md)
- [Set up Satellite](/en/onsite/travel/satellite/set-up.md)
- [Get Satellite Licenses](/en/api/reference/restful/rest/license/get-satellite-licenses.md)
